List assigned phone numbers
Returns phone numbers assigned to the selected agent account and identifies its primary number.
OpenAPI
````yaml get /api/v2/phoneNumbers
openapi: 3.0.0
info:
version: 2.0.0
title: GetVoiceBot API
description: GetVoiceBot API Documentation
servers:
- url: https://api.getvoicebot.com
description: GetVoiceBot Production
variables:
baseUrl:
default: api.getvoicebot.com
description: Production API Root
security: []
tags:
- name: Agents
- name: Inbound Email
description: Control which senders may create inbound email work for an Agent.
- name: Features
description: Inspect capabilities available within an account hierarchy.
- name: Conversation Logs
description: Query conversation activity and calculate account-level metrics.
- name: Computer Agents
description: Set up, configure, inspect, and manage GetVoiceBot Computer Agents.
- name: Computer Agent Sessions
description: View and reset Computer Agent sessions.
- name: Accounts
- name: Agent Templates
description: Create, manage, and apply reusable Agent configurations.
paths:
/api/v2/phoneNumbers:
get:
tags:
- Phone Numbers
summary: List assigned phone numbers
description: >-
Returns phone numbers assigned to the selected agent account and
identifies its primary number.
parameters:
- name: targetAccountId
in: query
description: Agent account whose assigned phone numbers should be returned.
required: true
example: 3026480
schema:
type: integer
responses:
'200':
description: Assigned phone numbers returned successfully
content:
application/json:
schema:
type: object
properties:
success:
type: boolean
example: true
primaryNumber:
type: string
nullable: true
example: '+12145551234'
phoneNumbers:
type: array
items:
type: object
properties:
phoneNumber:
type: string
example: '+12145551234'
country:
type: string
example: US
region:
type: string
nullable: true
example: TX
city:
type: string
nullable: true
example: Dallas
isPrimary:
type: boolean
example: true
'401':
description: Unauthorized request
'500':
description: Assigned phone numbers could not be returned
security:
- apiKeyAuth: []
components:
securitySchemes:
apiKeyAuth:
type: apiKey
in: query
name: token
description: GetVoiceBot API Token
````
